/*!
 * Copyright (c) 2023 Eclipse Foundation, Inc.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * Contributors:
 *   Olivier Goulet <olivier.goulet@eclipse-foundation.org>
 *
 * SPDX-License-Identifier: EPL-2.0
 */

import './main';

import eclipsefdnHeader from './solstice/astro/eclipsefdn.header';
import eclipsefdnMegaMenuPromoContent from './solstice/eclipsefdn.mega-menu-promo-content.js';
import eclipsefdnSidebar from './solstice/astro/eclipsefdn.sidebar';

document.addEventListener('DOMContentLoaded', () => {
  eclipsefdnHeader.run();
  eclipsefdnMegaMenuPromoContent.render();
  eclipsefdnSidebar.run();
});
